.budget__table {
  display: flex;
  flex-direction: column;
  gap: 5px;
  margin-top: 36px;
  margin-bottom: 42px;
}
.budget h3 {
  margin: 0;
  color: #f44;
  text-align: center;
  font-size: 14px;
  font-style: normal;
  font-weight: 300;
  line-height: 1.7;
  text-align: center;
}
.budget__table table {
  font-family: arial, sans-serif;
  border-collapse: collapse;
  width: 100%;
}
.budget__table__overlay {
  overflow-y: auto;
}
.budget__table td,
.budget__table th {
  border: 1px solid #e5e5e5;
  text-align: left;
  padding: 4px 10px 8px;
}
.budget__table tr td:last-child {
  text-align: right;
}
.budget__table tr td:nth-last-child(-n + 2) {
  text-align: right;
    white-space: nowrap;
}
.budget__chart__box {
  display: grid;
  grid-template-columns: repeat(6, 1fr);
  grid-template-rows: 35px repeat(10, 65px) 35px;
}
.budget__chart h3 {
  margin-bottom: 15px;
}
.budget__chart__box__item {
  border: 0.5px solid #e5e5e5;
}
.budget__chart__box__item {
  border-right: none;
}
.budget__chart__box__item:nth-child(1),
.budget__chart__box__item:nth-child(2),
.budget__chart__box__item:nth-child(3),
.budget__chart__box__item:nth-child(4),
.budget__chart__box__item:nth-child(5),
.budget__chart__box__item:nth-child(6) {
  border-top: none;
}
.budget__chart__box__item:nth-child(67),
.budget__chart__box__item:nth-child(68),
.budget__chart__box__item:nth-child(69),
.budget__chart__box__item:nth-child(70),
.budget__chart__box__item:nth-child(71),
.budget__chart__box__item:nth-child(72) {
  border-bottom: none;
}
.budget__chart__box__item:nth-child(6),
.budget__chart__box__item:nth-child(12),
.budget__chart__box__item:nth-child(18),
.budget__chart__box__item:nth-child(24),
.budget__chart__box__item:nth-child(30),
.budget__chart__box__item:nth-child(36),
.budget__chart__box__item:nth-child(42),
.budget__chart__box__item:nth-child(48),
.budget__chart__box__item:nth-child(54),
.budget__chart__box__item:nth-child(60),
.budget__chart__box__item:nth-child(66),
.budget__chart__box__item:nth-child(72) {
  border-right: 0.5px solid #e5e5e5;
}
.budget__chart__wrapper {
  position: relative;
  display: grid;
  grid-template-columns: minmax(100px, 175px) 1fr;
  grid-template-rows: 1fr auto;
  gap: 15px;
  margin-left: 26px;
}
.budget__chart__titles {
  display: flex;
  flex-direction: column;
  gap: 51px;
  margin-top: 28px;
}
.budget__chart__titles p {
  margin: 0;
  padding: 0;
  color: rgba(0, 0, 0, 0.5);
  text-align: right;
  font-size: 11px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}
.budget__chart__titles p:first-child {
  margin-bottom: 0;
}
.budget__chart__count {
  grid-column: 2 / 3;
  width: 100%;
  display: flex;
  justify-content: space-between;
  margin-left: auto;
  transform: translateY(-100%);
}
.budget__chart__count p {
  margin: 0;
  padding: 0;
  color: rgba(0, 0, 0, 0.5);
  text-align: center;
  font-size: 11px;
  font-style: normal;
  font-weight: 400;
  line-height: normal;
}

.budget__chart__info__item {
  display: flex;
  gap: 1px;
}
.budget__chart__info__item > p {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 32px;
  margin: 0;
  padding: 0;
  background: #f44;
  color: rgba(0, 0, 0, 0.7);
  font-size: 11px;
  font-style: normal;
  font-weight: 700;
  line-height: normal;
}
.budget__chart__info__item > p:last-of-type {
  background: #4da2f1;
}
.budget__chart__info__item__tooltip {
  display: flex;
  flex-direction: column;
  padding: 8px 0 6px;
  border-radius: 5px;
  background: rgba(255, 255, 255, 0.95);
  box-shadow: 0px 2px 12px 0px rgba(0, 0, 0, 0.15);
}
.budget__chart__info__item__tooltip p {
  margin: 0;
  padding: 0;
  color: rgba(0, 0, 0, 0.85);
  font-size: 12px;
  font-style: normal;
  font-weight: 300;
  line-height: 18px; /* 150% */
}
.budget__chart__info__item__tooltip > p {
  margin-bottom: 8px;
  padding: 0 14px;
  font-size: 13px;
  font-style: normal;
  font-weight: 400;
  line-height: 18px; /* 138.462% */
}
.budget__chart__info__item__tooltip__item {
  display: flex;
  justify-content: space-between;
  padding: 0 14px;
}
.budget__chart__info__item__tooltip__item > p:first-child {
  display: flex;
  align-items: center;
}
.budget__chart__info__item__tooltip__item > p span {
  display: inline-block;
  width: 12px;
  height: 6px;
  margin-right: 8px;
  background: #f44;
  border-radius: 1px;
}
.budget__chart__info__item__tooltip__item > p:last-child {
  font-weight: 700;
}
.budget__chart__info__item__tooltip__item:nth-of-type(2) {
  margin-top: 3px;
}
.budget__chart__info__item__tooltip__item:nth-of-type(2) > p span {
  background: #4da2f1;
}
.budget__chart__info__item__tooltip__item:nth-of-type(2) > p:last-child {
  font-weight: 400;
}
.budget__chart__info__item__tooltip__sum {
  display: flex;
  justify-content: space-between;
  margin-top: 7px;
  padding: 6px 14px 0;
  border-top: 0.8px solid rgba(0, 0, 0, 0.1);
}
.budget__chart__info__item__tooltip {
  display: none;
  position: absolute;
  transform: translate(50%, -50%);
}
.budget__chart__info {
    grid-column: 2/3;
    position: absolute;
    top: 18px;
    right: 0;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    height: 91%;
}

.budget__chart__info__item--small {
  text-indent: -9999px;
}

.budget__chart__info__item:hover .budget__chart__info__item__tooltip {
  display: block;
}

@media (max-width: 1600px) {
  .budget__chart__wrapper {
    margin: 0;
  }
}

@media (max-width: 768px) {
  .budget__chart__wrapper {
    grid-template-columns: 100px 1fr;
  }
  .budget__chart__titles {
    gap: 42px;
  }
  .budget__chart__info__item__tooltip {
    display: none;
    position: absolute;
    transform: translate(0%, -50%);
  }
}


.budget__chart__footer {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 30px;
  margin-top: 13px;
  font-size: 12px;
  color: rgba(0, 0, 0, 0.5);
}
.budget__chart__footer__item {
  display: flex;
  align-items: center;
  gap: 10px;
}
.budget__chart__footer__item span {
  width: 12px;
  height: 12px;
  background: #f44;
  border-radius: 50%;
}
.budget__chart__footer__item:first-child span {
  background: #4da2f1;
}
